﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Context" xmlns="http://purl.oclc.org/dsdl/schematron">
  <title>Context Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">
    <!-- Rule ID: VR.ATO.GEN.000209

      IF COUNT(RP) <> 1
        RETURN VALIDATION MESSAGE
      ENDIF        
    -->
    <assert id="VR.ATO.GEN.000209" diagnostics="DVR.ATO.GEN.000209"
            test="not(
                        count($RP.Context) != 1
                      )" />



    
    <let name="RPScheme" value="$RP.Context/xbrli:entity/xbrli:identifier/@scheme" />
    <let name="RPIdentifier" value="$RP.Context/xbrli:entity/xbrli:identifier" />
    <let name="INTIdentifier" value="$INT.Context/xbrli:entity/xbrli:identifier" />
    
    
    <!-- Rule ID: VR.ATO.DD.100041
         ELS Ref: N/A
        
         IF (RP:entity.identifier.scheme <> “http://www.abr.gov.au/abn”) AND (RP:entity.identifier.scheme <> “http://www.ato.gov.au/tfn”)
            RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert id="VR.ATO.DD.100041" diagnostics="DVR.ATO.DD.100041"
            test="not(
                        $RP.Context/xbrli:entity/xbrli:identifier
                        [                            
                            not(matches(@scheme,'^http://www.abr.gov.au/abn$'))
                        ]
                        and
                        $RP.Context/xbrli:entity/xbrli:identifier
                        [                            
                            not(matches(@scheme,'^http://www.ato.gov.au/tfn$'))
                        ]
                     )" />

    
    
    
    <!-- Rule ID: VR.ATO.DD.100046
         ELS Ref: V1200
        
        IF (RP:entity.identifier.scheme = “http://www.abr.gov.au/abn”) AND (ABNALGORITHM(RP:entity.identier.ABN) = FALSE)
          RETURN VALIDATION MESSAGE
        ENDIF

    -->
    
    <assert id="VR.ATO.DD.100046" diagnostics="DVR.ATO.DD.100046"
            test="not(
                        $RPScheme = 'http://www.abr.gov.au/abn'
                        and
                        not($RP.Context/xbrli:entity/xbrli:identifier[function:ValidateABN(.)])
                     )" />


    <!-- Rule ID: VR.ATO.DD.100058
         ELS Ref: N/A
        
        IF (RP:entity.identifier.scheme = “http://www.ato.gov.au/tfn”) AND (TFNALGORITHM (RP:entity.identifier.TFN) = FALSE)
          RETURN VALIDATION MESSAGE
        ENDIF

    -->
    <assert id="VR.ATO.DD.100058" diagnostics="DVR.ATO.DD.100058"
            test="not(
                        $RPScheme = 'http://www.ato.gov.au/tfn'
                        and
                        not($RP.Context/xbrli:entity/xbrli:identifier[function:ValidateTFN(.)])
                     )" />
    

    <!-- Rule ID: VR.ATO.DD.100097
         ELS Ref: V1925D
      
         IF (RP:entity.identifier.scheme = “http://www.abr.gov.au/abn”) AND (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text = NULLORBLANK)
           RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert id="VR.ATO.DD.100097" diagnostics="DVR.ATO.DD.100097"
            test="not(
                        $RP.Context/xbrli:entity/xbrli:identifier
                        [
                            upper-case(@scheme) = 'HTTP://WWW.ABR.GOV.AU/ABN'
                        ]
                        and
                        not($dd15[not(@i:nil='true') and string-length(.) != 0])
                     )" />


    <!-- Rule ID: VR.ATO.DD.100211
    
    IF    (CONTEXT(INT.TrueAndCorrect) <> NULL) 
      AND (RP:entity.identifier.scheme = “http://www.abr.gov.au/abn”) 
      AND (INT.TrueAndCorrect:entity.identifier.scheme = RP:entity.identifier.scheme) 
      AND (INT.TrueAndCorrect:entity.identifier.ABN = RP:entity.identifier.ABN)
            RETURN VALIDATION MESSAGE
    ENDIF
    -->
   
    <assert id="VR.ATO.DD.100211" diagnostics="DVR.ATO.DD.100211"
			  test="not(
                        $INTTAC.Context[not(@i:nil='true')]
						and
						$RP.Context/xbrli:entity/xbrli:identifier
                        [
                          matches(@scheme,'^http://www.abr.gov.au/abn$')
                        ]
            and
            $INTTAC.Context/xbrli:entity/xbrli:identifier/@scheme[. = $RP.Context/xbrli:entity/xbrli:identifier/@scheme]
						and
						$INTTAC.Context/xbrli:entity/xbrli:identifier[. = $RP.Context/xbrli:entity/xbrli:identifier]
                     )" />
    
    
    <!-- Rule ID: VR.ATO.GEN.500051
         ELS Ref: N/A
      
         IF (Intermediary.TrueAndCorrect:entity.identifier.scheme <> “http://www.abr.gov.au/abn”)
            RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert id="VR.ATO.GEN.500051" diagnostics="DVR.ATO.GEN.500051"
            test="not(
                        $INTTAC.Context/xbrli:entity/xbrli:identifier
                        [
                            upper-case(@scheme) != 'HTTP://WWW.ABR.GOV.AU/ABN'
                        ]
                     )" />
    

    <!-- Rule ID: VR.ATO.GEN.500052
         ELS Ref: N/A
      
         IF (RP.TrueAndCorrect:entity.identifier.scheme <> “http://www.abr.gov.au/abn”)
            RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert id="VR.ATO.GEN.500052" diagnostics="DVR.ATO.GEN.500052"
            test="not(
                        $RPTAC.Context/xbrli:entity/xbrli:identifier
                        [
                            upper-case(@scheme) != 'HTTP://WWW.ABR.GOV.AU/ABN'
                        ]
                     )" />


  </rule>

  <rule context="xbrli:xbrl/xbrli:context[not(@i:nil='true')]">
    <let name="thisContextId" value="@id" />



    <!-- Rule ID: VR.ATO.DD.100210
         ELS Ref: N/A
      
         IF (CONTEXT(RP.TrueAndCorrect) <> NULL) AND (RP:entity.identifier.scheme = “http://www.abr.gov.au/abn”) AND 
         (RP.TrueAndCorrect:entity.identifier.ABN <> RP:entity.identifier.ABN)
           RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert id="VR.ATO.DD.100210" diagnostics="DVR.ATO.DD.100210"
            test="not(
                        @id = $RPTAC.ContextId
                        and
                        $RP.Context/xbrli:entity/xbrli:identifier
                        [
                          upper-case(@scheme) = 'HTTP://WWW.ABR.GOV.AU/ABN'
                        ]
                        and 
                        $RPTAC.Context/xbrli:entity/xbrli:identifier/@scheme
                        [
                          . = $RP.Context/xbrli:entity/xbrli:identifier/@scheme
                        ]
                        and
                        $RPTAC.Context/xbrli:entity/xbrli:identifier
                        [
                            . != $RP.Context/xbrli:entity/xbrli:identifier
                        ]
                     )"/>

   

 
    
    
    


    <!-- Rule ID: VR.ATO.GEN.500012
           ELS Ref: V2421

        IF (pyde.xx.xx:PersonDemographicDetails.Birth.Date <> NULL) AND (pyde.xx.xx:PersonDemographicDetails.Birth.Date > RP:period.startDate)
          RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.500012" diagnostics="DVR.ATO.GEN.500012"
            test="not(
                        . = $RP.Context
                        and 
                        $dd9[not(@i:nil='true' or @i:nil='1') and string-length(.) > 0]
                        and
                        function:IsDate1GreaterThanDate2($dd9[1], xbrli:period/xbrli:startDate)
                      )" />


    <!-- Rule ID: VR.ATO.GEN.500030
         ELS Ref: N/A
         
         IF period.startDate WHERE CONTEXT(ALL) <> RP:period.startDate
            RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <let name="startDate" value="xbrli:period/xbrli:startDate"/>

    <assert id="VR.ATO.GEN.500030" diagnostics="DVR.ATO.GEN.500030"
            test="not(
                        preceding-sibling::xbrli:context/xbrli:period/xbrli:startDate[. != $startDate]
                     )"/>

    <!-- Rule ID: VR.ATO.GEN.500034
         ELS Ref: N/A
         
         IF period.startDate <> period.endDate
             RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert id="VR.ATO.GEN.500034" diagnostics="DVR.ATO.GEN.500034"
            test="not(
                        xbrli:period/xbrli:endDate[. != $startDate]
                     )"/>

    <!-- Rule ID: VR.ATO.GEN.500035
         ELS Ref: N/A
         
         IF period.startDate > DATE(TODAY)
             RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert id="VR.ATO.GEN.500035" diagnostics="DVR.ATO.GEN.500035"
            test="not(
                        $startDate[function:IsDate1GreaterThanDate2(., current-date())]
                     )"/>


    <!-- Rule ID: VR.ATO.GEN.500054
         ELS Ref: V1200
      
        IF (CONTEXT(Intermediary.TrueAndCorrect)<>NULL) AND (ABNALGORITHM(Intermediary.TrueAndCorrect:entity.identifier.ABN) = FALSE)
          RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.500054" diagnostics="DVR.ATO.GEN.500054"
            test="not(
                        @id = $INTTAC.ContextId
                        and
                        xbrli:entity/xbrli:identifier
                        [
                            string-length(.) != 0 
                            and 
                            not(function:ValidateABN(.))
                        ]
                     )"/>


  </rule>


  <rule context="xbrli:xbrl[not(@i:nil='true')]/xbrli:context/xbrli:entity/xbrli:segment/xbrldi:explicitMember[matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d{2}\.\d{2}:ReportingParty$')]">
    <let name="RPScheme" value="$RP.Context/xbrli:entity/xbrli:identifier/@scheme" />

    
    <!-- Rule ID: VR.ATO.DD.100003
         ELS Ref: N/A
        
         IF (RprtPyType.xx.xx:ReportPartyTypeDimension = “RprtPyType.xx.xx:ReportingParty”) AND (entity.identifier.scheme <> RP:entity.identifier.scheme)
            RETURN VALIDATION MESSAGE
         ENDIF
    
    <assert id="VR.ATO.DD.100003" diagnostics="DVR.ATO.DD.100003"
            test="not(
                        ../../xbrli:identifier[@scheme != $RPScheme]
                     )" />
    -->

    <!-- Rule ID: VR.ATO.DD.100047
         ELS Ref: N/A
        
        IF      (RprtPyType.xx.xx:ReportPartyTypeDimension = “RprtPyType.xx.xx:ReportingParty”) 
            AND (RP:entity.identifier.scheme = “http://www.ato.gov.au/tfn”) 
            AND (entity.identifier.scheme = RP:entity.identifier.scheme) 
            AND (entity.identifier.TFN <> RP:entity.identifier.TFN)
              RETURN VALIDATION MESSAGE
        ENDIF

    -->
    <let name="RPIdentifier" value="$RP.Context/xbrli:entity/xbrli:identifier" />
    <assert id="VR.ATO.DD.100047" diagnostics="DVR.ATO.DD.100047"
            test="not(
                        $RPScheme = 'http://www.ato.gov.au/tfn'
                        and
                        ../../xbrli:identifier/@scheme[. = $RPScheme]
                        and
                        ../../xbrli:identifier[. != $RPIdentifier]
                     )" />


    <!-- Rule ID: VR.ATO.DD.100049
         ELS Ref: N/A

        IF    (RprtPyType.xx.xx:ReportPartyTypeDimension = “RprtPyType.xx.xx:ReportingParty”) 
          AND (RP:entity.identifier.scheme = “http://www.abr.gov.au/abn”) 
          AND (entity.identifier.scheme = RP:entity.identifier.scheme)
          AND (entity.identifier.ABN <> RP:entity.identifier.ABN)
              RETURN VALIDATION MESSAGE
        ENDIF
    -->

    <assert id="VR.ATO.DD.100049" diagnostics="DVR.ATO.DD.100049"
            test="not(
                        $RPScheme = 'http://www.abr.gov.au/abn'
                        and
                        ../../xbrli:identifier/@scheme[. = $RPScheme]
                        and
                        ../../xbrli:identifier[. != $RPIdentifier]
                     )" />




  </rule>

</pattern>