﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="FieldLengths" xmlns="http://purl.oclc.org/dsdl/schematron">
  <title>Field Lengths Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">

    
    
    
    <!-- Rule ID: VR.ATO.DD.100015
         ELS REF: V7
         
        IF LENGTH([dd13]) > 9
          RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.DD.100015" diagnostics="DVR.ATO.DD.100015"
            test="not(
                        $dd13[string-length(.) > 9]
                      )"/>


    <!-- Rule ID: VR.ATO.DD.100093
         ELS REF: V7
         
        IF [dd14] <> MONETARY(U,13,2)
          RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.DD.100093" diagnostics="DVR.ATO.DD.100093"
            test="not(
                        $dd14[not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))]
                              
                      )"/>


    
    

    
    <!-- Rule ID: VR.ATO.GEN.500063
         ELS Ref: V7
         
         IF LENGTH(pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number) > 15
             RETURN VALIDATION MESSAGE
         ENDIF
         
         [dd24] = pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number
    -->
    <assert id="VR.ATO.GEN.500063" diagnostics="DVR.ATO.GEN.500063"
            test="not(
                        $dd24RPTAC[string-length(.) > 15]
                        or
                        $dd24INTTAC[string-length(.) > 15]
                     )"/>

  </rule>

  <rule context="xbrli:xbrl/pyde.02.00:PersonNameDetails.FamilyName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.500016
         ELS REF: V7
         
        IF LENGTH(pyde.xx.xx:PersonNameDetails.FamilyName.Text) > 30
          RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.500016" diagnostics="DVR.ATO.GEN.500016"
            test="not(
                        string-length(.) > 30
                      )"/>
  </rule>

  <rule context="xbrli:xbrl/pyde.02.00:PersonNameDetails.GivenName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.500017
         ELS REF: V7
         
        IF LENGTH(pyde.xx.xx:PersonNameDetails.GivenName.Text) > 15
          RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.500017" diagnostics="DVR.ATO.GEN.500017"
            test="not(
                        string-length(.) > 15
                      )"/>
  </rule>


  <rule context="xbrli:xbrl/pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text[not(@i:nil='true') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.432041
         ELS Ref: V7
         
        IF LENGTH(pyid.xx.xx:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text) > 32
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.432041" diagnostics="DVR.ATO.GEN.432041"
            test="not(
                        string-length(.) > 32
                     )"/>

  </rule>

  <rule context="xbrli:xbrl/pyde.02.00:PersonUnstructuredName.FullName.Text[not(@i:nil='true') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.DD.100226
        ELS Ref: V7
         
        IF LENGTH(pyde.xx.xx:PersonUnstructuredName.FullName.Text) > 200
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.DD.100226" diagnostics="DVR.ATO.DD.100226"
            test="not(
                        string-length(.) > 200
                     )"/>
  </rule>

</pattern>