﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Mandatories" xmlns="http://purl.oclc.org/dsdl/schematron">
  <title>Mandatory validation for fields that are applicable for CUMASADD.</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">
    
    

    
    <!-- Rule ID: VR.ATO.DD.100098
         ELS Ref: V17
               
          IF [dd5] = NULL
            RETURN VALIDATION MESSAGE
          ENDIF
        
        [dd5] = rvctc3.xx.xx:Tax.RoleType.Code
    -->
    <assert id="VR.ATO.DD.100098" diagnostics="DVR.ATO.DD.100098"
             test="not(
                        not($dd5[not(@i:nil='true')])
                     )" />
    

    <!-- Rule ID: VR.ATO.GEN.500065
         ELS Ref: V17
      
         IF (CONTEXT(RP.TrueAndCorrect) <> NULL) AND (RP.TrueAndCorrect:pyid.xx.xx:Identifiers.TaxAgentNumber.Identifier <> NULL)
           RETURN VALIDATION MESSAGE
         ENDIF
        
         [dd20] = pyid.xx.xx:Identifiers.TaxAgentNumber.Identifier
    -->
    <assert id="VR.ATO.GEN.500065" diagnostics="DVR.ATO.GEN.500065"
            test="not(
                        (
                          count($RPTAC.Context) > 0 
                          and 
                          $dd20RPTAC[not(@i:nil='true') and string-length(.) != 0]
                        )
                     )" />

    <!-- Rule ID: VR.ATO.GEN.500056
         ELS Ref: V17         
        
        IF ((CONTEXT(Intermediary.TrueAndCorrect) = NULL)  AND (RP.TrueAndCorrect:pyde.xx.xx:PersonUnstructuredName.FullName.Text = NULLORBLANK)) 
            OR 
           ((CONTEXT(Intermediary.TrueAndCorrect) <> NULL) AND (Intermediary.TrueAndCorrect:pyde.xx.xx:PersonUnstructuredName.FullName.Text = NULLORBLANK))
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.500056" diagnostics="DVR.ATO.GEN.500056"
            test="not(
                        (
                            not($INTTAC.Context) 
                            and
                            not($dd19RPTAC[not(@i:nil='true') and string-length(.) != 0])
                        )
                        or
                        (
                            $INTTAC.Context 
                            and
                            not($dd19INTTAC[not(@i:nil='true') and string-length(.) != 0])
                        ) 
                        
                     )" />


    <!-- Rule ID: VR.ATO.GEN.500060
         ELS Ref: V17
      
         IF ((CONTEXT(Intermediary.TrueAndCorrect) = NULL) AND (RP.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number = NULLORBLANK)) OR ((CONTEXT(Intermediary.TrueAndCorrect)<>NULL) AND (Intermediary.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number = NULLORBLANK))
          RETURN VALIDATION MESSAGE
         ENDIF
         
         [dd24] = pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number
    -->
    <assert id="VR.ATO.GEN.500060" diagnostics="DVR.ATO.GEN.500060"
            test="not(
                        (
                          count($INTTAC.Context) = 0 
                          and 
                          not($dd24RPTAC[not(@i:nil='true') and string-length(.) != 0])
                        )
                        or
                        (
                          count($RPTAC.Context) = 0 
                          and 
                          not($dd24INTTAC[not(@i:nil='true') and string-length(.) != 0])
                        )
                     )" />
    
    
    <!-- Rule ID: VR.ATO.GEN.500067
         ELS Ref: V17
      
         IF ((CONTEXT(Intermediary.TrueAndCorrect) = NULL) AND (RP.TrueAndCorrect:pyin.xx.xx:Declaration.Signature.Date = NULL)) OR ((CONTEXT(Intermediary.TrueAndCorrect) <> NULL) AND (Intermediary.TrueAndCorrect:pyin.xx.xx:Declaration.Signature.Date = NULL))
           RETURN VALIDATION MESSAGE
         ENDIF
         
         [dd22] = pyin.xx.xx:Declaration.Signature.Date
    -->
    <assert id="VR.ATO.GEN.500067" diagnostics="DVR.ATO.GEN.500067"
            test="not(
                        (
                          count($INTTAC.Context) = 0 
                          and 
                          not($dd22RPTAC[not(@i:nil='true') and string-length(.) != 0])
                        )
                        or
                        (
                          count($RPTAC.Context) = 0 
                          and 
                          not($dd22INTTAC[not(@i:nil='true') and string-length(.) != 0])
                        )
                     )" />
    

    <!-- Rule ID: VR.ATO.GEN.500068
         ELS Ref: V17
      
         IF (Intermediary.TrueAndCorrect:pyin.xx.xx:Declaration.StatementAccepted.Indicator = NULL) AND (RP.TrueAndCorrect:pyin.xx.xx:Declaration.StatementAccepted.Indicator = NULL)
            RETURN VALIDATION MESSAGE
         ENDIF
        
         [dd23] = pyin.xx.xx:Declaration.StatementAccepted.Indicator
    -->
    <assert id="VR.ATO.GEN.500068" diagnostics="DVR.ATO.GEN.500068"
            test="not(
                        not($dd23RPTAC[not(@i:nil='true') and string-length(.) != 0])
                        and
                        not($dd23INTTAC[not(@i:nil='true') and string-length(.) != 0])
                     )" />

  </rule>
  
</pattern>