﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Content" xmlns="http://purl.oclc.org/dsdl/schematron">
  <title>Content Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">

    <!-- Rule ID: VR.ATO.DD.200005
         ELS Ref: V1925C
      
         IF (RP:entity.identifier.scheme = “http://www.ato.gov.au/tfn”) AND 
         (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text = NULLORBLANK) AND 
         (
           (
             (pyde.xx.xx:PersonNameDetails.FamilyName.Text = NULLORBLANK) OR 
             (pyde.xx.xx:PersonNameDetails.GivenName.Text = NULLORBLANK)
           ) OR 
           (pyde.xx.xx:PersonDemographicDetails.Birth.Date = NULL)
         ) 
           RETURN VALIDATION MESSAGE
         ENDIF
         
         
  
         
    -->
    <assert id="VR.ATO.DD.200005" diagnostics="DVR.ATO.DD.200005"
            test="not(
                        $RP.Context/xbrli:entity/xbrli:identifier
                        [
                            upper-case(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN'
                        ]
                        and
                        not($dd15[not(@i:nil='true') and string-length(.) != 0])
                        and
                        (
                          not($dd7[not(@i:nil='true') and string-length(.) != 0])
                          or
                          not($dd8[not(@i:nil='true') and string-length(.) != 0])
                          or
                          not($dd9[not(@i:nil='true') and string-length(.) != 0])
                        )
                     )" />


    <!-- Rule ID: VR.ATO.DD.200009	
		
	    IF [dd15] = NULLORBLANK AND [dd7] = NULLORBLANK
        RETURN VALIDATION MESSAGE
      ENDIF
		-->
    
    <assert id="VR.ATO.DD.200009" diagnostics="DVR.ATO.DD.200009"
			  test="not(                        
                      not($dd15[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])
                      and
                      not($dd7[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])
                     )" />


    <!-- Rule ID: VR.ATO.DD.200076		
		  ELS Ref: N/A
      
		IF [dd16] > DATE(TODAY)
      RETURN VALIDATION MESSAGE
    ENDIF
		-->
    
    <assert id="VR.ATO.DD.200076" diagnostics="DVR.ATO.DD.200076"
			  test="not(
                        $dd16[function:IsDate1GreaterThanDate2(., current-date())]
                     )" />


    <!-- Rule ID: VR.ATO.DD.200093		
		  ELS Ref: V44
      
		IF ([dd6] <> NULL) AND (ANY CHARACTER OF [dd6] <> SET(0-9))
      RETURN VALIDATION MESSAGE
    ENDIF
		-->

    <assert id="VR.ATO.DD.200093" diagnostics="DVR.ATO.DD.200093"
			  test="not(
                        $dd6[not(@i:nil='true')]
                        and
                        not(matches($dd6, '^\d+$'))
                        
                     )" />
    
    
    
    
    <!-- Rule ID: VR.ATO.DD.200100
         ELS Ref: N/A
         
         IF [dd9] > DATE(TODAY)
          RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.DD.200100" diagnostics="DVR.ATO.DD.200100"
            test="not(
                        $dd9[function:IsDate1GreaterThanDate2(., current-date())]
                     )"/>
    
    
    
  </rule>

  <rule context="xbrli:xbrl/pyid.02.00:Identifiers.TaxAgentNumber.Identifier[not(@i:nil='true' or @i:nil='1')]">

    <!-- Rule ID: VR.ATO.GEN.428247
         ELS Ref: V21
         
        IF ((pyid.xx.xx:Identifiers.TaxAgentNumber.Identifier) <> NULLORBLANK) AND (TANALGORITHM(pyid.xx.xx:Identifiers.TaxAgentNumber.Identifier) = FALSE)
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.428247" diagnostics="DVR.ATO.GEN.428247"
            test="not(
                        not(function:ValidateTAN(.)) 
                     )"/>
  </rule>

  <rule context="xbrli:xbrl/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.410038
         ELS Ref: V137B
    
        IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text STARTSWITH "T/A ") AND 
           (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text ENDSWITH SET(" Pship"," P'ship"," P/ship"))
          RETURN VALIDATION MESSAGE
        ENDIF      
    -->
    <assert id="VR.ATO.GEN.410038" diagnostics="DVR.ATO.GEN.410038"
             test="not(
                        matches(.,'^(T/A )(.*)$', 'i') 
                        and 
                        matches(.,'^(.*)( Pship| P''ship| P/ship)$', 'i')
                       )"/>

    <!-- Rule ID: VR.ATO.GEN.410206
         ELS Ref: V137C
    
        IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text = FOUND("The trustee","The Exec","exec","The TTE"))
          RETURN VALIDATION MESSAGE
        ENDIF        
    -->
    <assert id="VR.ATO.GEN.410206" diagnostics="DVR.ATO.GEN.410206"
             test="not(
                          matches(.,'^(The trustee |The Exec |exec |The TTE )(.*)$','i') or
                          matches(.,'^(.*)( The trustee | The Exec | exec | The TTE )(.*)$','i') or
                          matches(.,'^(.*)( The trustee| The Exec| exec| The TTE)$','i') or
                          matches(.,'^(The trustee|The Exec|exec|The TTE)$','i')
                    )"/>
    
    <!-- Rule ID: VR.ATO.GEN.428259
         ELS Ref: V137E
    
        IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text CONTAINS ""P/L"")
          RETURN VALIDATION MESSAGE
        ENDIF

    -->
    <assert  id="VR.ATO.GEN.428259" diagnostics="DVR.ATO.GEN.428259"
             test="not(
                        matches(.,'^(.*)(P/L)(.*)$')
                      )" />

    <!-- Rule ID: VR.ATO.GEN.428261
         ELS Ref: V137D
    
        IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text ENDSWITH SET(" T/A"," T/A P'ship"," T/A Pship"," T/A P/Ship"," T/A Partnership"))
          RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert  id="VR.ATO.GEN.428261" diagnostics="DVR.ATO.GEN.428261"
             test="not(
                        matches(.,'^(.*)( T/A| T/A Pship| T/A P''ship| T/A P/ship| T/A Partnership)$', 'i')
                       )" />

  
    <!-- Rule ID: VR.ATO.GEN.500086
           ELS Ref: V1926B
           
           IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text <> NULLORBLANK) AND 
               ((pyde.xx.xx:PersonNameDetails.FamilyName.Text <> NULLORBLANK OR 
                 pyde.xx.xx:PersonNameDetails.GivenName.Text <> NULLORBLANK) OR 
                 pyde.xx.xx:PersonDemographicDetails.Birth.Date <> NULL)
              RETURN VALIDATION MESSAGE
          ENDIF        
    -->
    <assert id="VR.ATO.GEN.500086" diagnostics="DVR.ATO.GEN.500086"
             test="not(
                          $dd7[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]
                          or
                          $dd8[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]
                          or
                          $dd9[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]
                        )"/>


   
    
    
  </rule>

  <rule context="xbrli:xbrl/pyde.02.00:PersonNameDetails.FamilyName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.410200
           ELS Ref: V137A
    
          IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text = FOUND("Exec for","Rep for","Trustee for"))
            RETURN VALIDATION MESSAGE
          ENDIF        
      -->
    <assert id="VR.ATO.GEN.410200" diagnostics="DVR.ATO.GEN.410200"
            test="not(
                         matches(.,'^(Exec for |Rep for |Trustee for )(.*)$','i') or
                         matches(.,'^(.*)( Exec for | Rep for | Trustee for )(.*)$','i') or
                         matches(.,'^(.*)( Exec for| Rep for| Trustee for)$','i') or
                         matches(.,'^(Exec for|Rep for|Trustee for)$','i')            
                      )"/>

    
    <!-- Rule ID: VR.ATO.GEN.410201
         ELS Ref: V140
    
        IF ([dd7] = FOUND("MR","MRS","MISS","MS"))
          RETURN VALIDATION MESSAGE
        ENDIF
      
        [dd7] = pyde.xx.xx:PersonNameDetails.FamilyName.Text
    -->
    <assert id="VR.ATO.GEN.410201" diagnostics="DVR.ATO.GEN.410201"
            test="not(
                        matches(.,'^(MR |MRS |MISS |MS )(.*)$','i') or
                        matches(.,'^(.*)( MR | MRS | MISS | MS )(.*)$','i') or
                        matches(.,'^(.*)( MR| MRS| MISS| MS)$','i') or
                        matches(.,'^(MR|MRS|MISS|MS)$','i')
                     )"/>

    
    <!-- Rule ID: VR.ATO.GEN.428231
         ELS Ref: V141
         
        IF ([dd7] = FOUND("ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"))
           RETURN VALIDATION MESSAGE
        ENDIF
      
        [dd7] = pyde.xx.xx:PersonNameDetails.FamilyName.Text
    -->
    <assert id="VR.ATO.GEN.428231" diagnostics="DVR.ATO.GEN.428231"
            test="not(
                        matches(.,'^(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$','i') or
                        matches(.,'^(.*)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$','i') or
                        matches(.,'^(.*)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$','i') or
                        matches(.,'^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$','i')                        
                     )"/>
  </rule>

  <rule context="xbrli:xbrl/pyde.02.00:PersonNameDetails.GivenName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.410202
         ELS Ref: V141
         
        IF ([dd8] = FOUND("ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"))
           RETURN VALIDATION MESSAGE
        ENDIF
      
        [dd8] = pyde.02.00:PersonNameDetails.GivenName.Text
    -->
    <assert id="VR.ATO.GEN.410202" diagnostics="DVR.ATO.GEN.410202"
            test="not(
                          matches(.,'^(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$','i') or
                          matches(.,'^(.*)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$','i') or
                          matches(.,'^(.*)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$','i') or
                          matches(.,'^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$','i')
                     )"/>
    

    <!-- Rule ID: VR.ATO.GEN.410203
         ELS Ref: V137C
    
        IF ([dd8] = FOUND("Exec for","Rep for","Trustee for"))
          RETURN VALIDATION MESSAGE
        ENDIF
        
        [dd8] = pyde.02.00:PersonNameDetails.GivenName.Text
    -->
    <assert id="VR.ATO.GEN.410203" diagnostics="DVR.ATO.GEN.410203"
            test="not(
                        matches(.,'^(Exec for |Rep for |Trustee for )(.*)$','i') or
                        matches(.,'^(.*)( Exec for | Rep for | Trustee for )(.*)$','i') or
                        matches(.,'^(.*)( Exec for| Rep for| Trustee for)$','i') or
                        matches(.,'^(Exec for|Rep for|Trustee for)$','i')            
                      )"/>

    
    <!-- Rule ID: VR.ATO.GEN.410204
         ELS Ref: V140
    
        IF ([dd8] = FOUND("MR","MRS","MISS","MS"))
          RETURN VALIDATION MESSAGE
        ENDIF
      
        [dd8] = pyde.02.00:PersonNameDetails.GivenName.Text
    -->
    <assert id="VR.ATO.GEN.410204" diagnostics="DVR.ATO.GEN.410204"
            test="not(
                        matches(.,'^(MR |MRS |MISS |MS )(.*)$','i') or
                        matches(.,'^(.*)( MR | MRS | MISS | MS )(.*)$','i') or
                        matches(.,'^(.*)( MR| MRS| MISS| MS)$','i') or
                        matches(.,'^(MR|MRS|MISS|MS)$','i')                        
                     )"/>

  </rule>
  

</pattern>