﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Mandatories" xmlns="http://purl.oclc.org/dsdl/schematron">
  <title>Mandatory validation for fields that are applicable for DDCANCEL.</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">

    <!-- Rule ID: VR.ATO.CUMAS.200102
         ELS Ref: V17
      
         IF (pyin.xx.xx:Declaration.SignatoryIdentifier.Text = NULLORBLANK) 
             RETURN VALIDATION MESSAGE
         ENDIF
        
         [cumas59] = pyin.xx.xx:Declaration.SignatoryIdentifier.Text
    
    <assert id="VR.ATO.CUMAS.200102" diagnostics="DVR.ATO.CUMAS.200102"
            test="not(
                        not($cumas59RPTAC[not(@i:nil='true') and string-length(.) != 0])
                        and
                        not($cumas59INTTAC[not(@i:nil='true') and string-length(.) != 0])
                     )" />
    -->


    <!-- Rule ID: VR.ATO.DD.200078
         ELS Ref: V17
               
          IF (CONTEXT(INT) <> NULL) AND ([dd16] = NULL)
            RETURN VALIDATION MESSAGE
          ENDIF
        
        [dd16] = pyin.xx.xx:Report.Submission.Date
    -->
    <assert id="VR.ATO.DD.200078" diagnostics="DVR.ATO.DD.200078"
             test="not(
                        $INT.Context
                        and
                        not($dd16[not(@i:nil='true')])
                     )" />
    
    
    <!-- Rule ID: VR.ATO.DD.200090
         ELS Ref: V17
      
         IF [dd6] = NULL
          RETURN VALIDATION MESSAGE
         ENDIF
        
         [dd6] = pyin.02.00:PaymentRecord.AgencyGeneratedReference.Number
    -->
    
    <assert id="VR.ATO.DD.200090" diagnostics="DVR.ATO.DD.200090"
            test="not(
                        not($dd6[not(@i:nil='true')])
                     )" />
    
    

	  
  </rule>
  
</pattern>